// Key observation: the order of the operations is irrelevant.
// For each column, we can compute immediately how many blocks
// can be extracted and how many meters will be left.

#include <iostream>
#include <numeric>

using namespace std;
const int MAXN = 1000000;

int L[MAXN];

int main() {
  int N, K;
  cin >> N >> K;
  for (int i = 0; i < N; i++) cin >> L[i];

  int res = 0;
  for (int i = 0; i < N; i++)
    if (L[i] == 11 * K) {
      res += 11;
      L[i] = 0;
    } else if (L[i] >= 10 * K) {
      res += 10;
      L[i] -= 10 * K;
    } else {
      res += L[i] / K;
      L[i] = L[i] % K;
    }

  cout << res << " " << accumulate(L, L + N, 0) << endl;
}
