/*
 * Parse the input and counts the pattern occurrences.
 * Author: William
 */

#include <iostream>
using namespace std;

enum state_t {
    BASE, LITERAL, COMMENT_START, LINE_COMMENT,
    BLOCK_COMMENT, COMMENT_END, IDENTIFIER
};

state_t state = BASE;

string pattern;
int id_length;
bool is_matching;
int answer;

void reset_identifier() {
    is_matching = true;
    id_length = 0;
}

void push_identifier(char c) {
    if (id_length >= pattern.length() || pattern[id_length] != c) {
	is_matching = false;
    } else {
	id_length += 1;
    }
}

int main() {
    cin >> pattern;
    reset_identifier();

    char c;
    while (cin.get(c)) {
        switch (state) {
        case BASE:
            if (isalpha(c) || c == '_') {
		push_identifier(c);
	        state = IDENTIFIER;
	    } else if (c == '"') {
                state = LITERAL;
	    } else if (c == '/') {
		state = COMMENT_START;
	    }
	    break;

	case IDENTIFIER:
	    if (isalpha(c) || isdigit(c) || c == '_') {
		push_identifier(c);
	    } else {
		if (is_matching && id_length == pattern.size()) {
                    answer += 1;
		}
		reset_identifier();
		state = BASE;
	    }
	    break;

	case LITERAL:
	    if (c == '"') {
		state = BASE;
	    }
	    break;

	case COMMENT_START:
	    if (c == '*') {
                state = BLOCK_COMMENT;
	    } else if (c == '/') {
		state = LINE_COMMENT;
	    } else if (isalpha(c)) {
		reset_identifier();
		push_identifier(c);
		state = IDENTIFIER;
	    } else {
		state = BASE;
	    }
	
	case BLOCK_COMMENT:
	    if (c == '*') {
                state = COMMENT_END;
	    }
	    break;
	
	case COMMENT_END:
	    if (c == '/') {
		state = BASE;
	    } else {
		state = BLOCK_COMMENT;
	    }
	    break;
	
	case LINE_COMMENT:
	    if (c == '\n') {
		state = BASE;
	    }
	    break;
	}
    }

    cout << answer << endl;
}
